MONGOC_STREAM_SOCKET_NEW(3)

NAME
mongoc_stream_socket_new - mongoc_stream_socket_new()

SYNOPSIS

mongoc_stream_t *
mongoc_stream_socket_new (mongoc_socket_t *socket);

PARAMETERS

•   socket: A mongoc_socket_t.

    Creates a new mongoc_stream_socket_t using the mongoc_socket_t provided.

    WARNING: This function transfers ownership of socket to the newly allocated stream.

RETURNS

A newly allocated mongoc_stream_socket_t that should be freed with mongoc_stream_destroy() when no longer in use.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc